org.modeshape.jcr

## Class JcrNodeTypeTemplate

- java.lang.Object
- - org.modeshape.jcr.JcrNodeTypeTemplate

- All Implemented Interfaces:
    NodeTypeDefinition, NodeTypeTemplate

      @NotThreadSafe
      public class JcrNodeTypeTemplate
      extends Object
      implements NodeTypeTemplate

  ModeShape implementation of the JCR NodeTypeTemplate interface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeDefinition[]` | `getDeclaredChildNodeDefinitions()`
    `PropertyDefinition[]` | `getDeclaredPropertyDefinitions()`
    `String[]` | `getDeclaredSupertypeNames()`
    `String` | `getName()`
    `List<NodeDefinitionTemplate>` | `getNodeDefinitionTemplates()`
    `String` | `getPrimaryItemName()`
    `List<PropertyDefinitionTemplate>` | `getPropertyDefinitionTemplates()`
    `boolean` | `hasOrderableChildNodes()`
    `boolean` | `isAbstract()`
    `boolean` | `isMixin()`
    `boolean` | `isQueryable()`
    `void` | `setAbstract(boolean isAbstract)`
    `void` | `setDeclaredSuperTypeNames(String[] names)`
    `void` | `setMixin(boolean mixin)`
    `void` | `setName(String name)`
    `void` | `setOrderableChildNodes(boolean orderable)`
    `void` | `setPrimaryItemName(String name)` Passing a null or blank name is equivalent to "unsetting" (or removing) the primary item name.
    `void` | `setQueryable(boolean queryable)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getNodeDefinitionTemplates

          public List<NodeDefinitionTemplate> getNodeDefinitionTemplates()

      Specified by:
        `getNodeDefinitionTemplates` in interface `NodeTypeTemplate`

    - #### getPropertyDefinitionTemplates

          public List<PropertyDefinitionTemplate> getPropertyDefinitionTemplates()

      Specified by:
        `getPropertyDefinitionTemplates` in interface `NodeTypeTemplate`

    - #### setAbstract

          public void setAbstract(boolean isAbstract)

      Specified by:
        `setAbstract` in interface `NodeTypeTemplate`

    - #### setDeclaredSuperTypeNames

          public void setDeclaredSuperTypeNames(String[] names)
                                         throws ConstraintViolationException

      Specified by:
        `setDeclaredSuperTypeNames` in interface `NodeTypeTemplate`
      Throws:
        `ConstraintViolationException`

    - #### setMixin

          public void setMixin(boolean mixin)

      Specified by:
        `setMixin` in interface `NodeTypeTemplate`

    - #### setName

          public void setName(String name)
                       throws ConstraintViolationException

      Specified by:
        `setName` in interface `NodeTypeTemplate`
      Throws:
        `ConstraintViolationException`

    - #### setOrderableChildNodes

          public void setOrderableChildNodes(boolean orderable)

      Specified by:
        `setOrderableChildNodes` in interface `NodeTypeTemplate`

    - #### setPrimaryItemName

          public void setPrimaryItemName(String name)
                                  throws ConstraintViolationException

      Passing a null or blank name is equivalent to "unsetting" (or removing) the primary item name.

      Specified by:
        `setPrimaryItemName` in interface `NodeTypeTemplate`
      Throws:
        `ConstraintViolationException`
      See Also:
        `type.NodeTypeTemplate#setPrimaryItemName(java.lang.String)`

    - #### getDeclaredChildNodeDefinitions

          public NodeDefinition[] getDeclaredChildNodeDefinitions()

      Specified by:
        `getDeclaredChildNodeDefinitions` in interface `NodeTypeDefinition`

    - #### getDeclaredPropertyDefinitions

          public PropertyDefinition[] getDeclaredPropertyDefinitions()

      Specified by:
        `getDeclaredPropertyDefinitions` in interface `NodeTypeDefinition`

    - #### getDeclaredSupertypeNames

          public String[] getDeclaredSupertypeNames()

      Specified by:
        `getDeclaredSupertypeNames` in interface `NodeTypeDefinition`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `NodeTypeDefinition`

    - #### getPrimaryItemName

          public String getPrimaryItemName()

      Specified by:
        `getPrimaryItemName` in interface `NodeTypeDefinition`

    - #### hasOrderableChildNodes

          public boolean hasOrderableChildNodes()

      Specified by:
        `hasOrderableChildNodes` in interface `NodeTypeDefinition`

    - #### isAbstract

          public boolean isAbstract()

      Specified by:
        `isAbstract` in interface `NodeTypeDefinition`

    - #### isMixin

          public boolean isMixin()

      Specified by:
        `isMixin` in interface `NodeTypeDefinition`

    - #### isQueryable

          public boolean isQueryable()

      Specified by:
        `isQueryable` in interface `NodeTypeDefinition`

    - #### setQueryable

          public void setQueryable(boolean queryable)

      Specified by:
        `setQueryable` in interface `NodeTypeTemplate`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.